Subject: Re: iptables very slow after commit 784544739a25c30637397ace5489eeb6e15d7d49

From: "Paul E. McKenney" <[email-masked]>
Date: Sun, 12 Apr 2009 10:31:08 -0700

On Sun, Apr 12, 2009 at 09:34:27PM +1000, Paul Mackerras wrote:
> Paul E. McKenney writes:
> 
> > If the generic implementation is needed only on !SMP systems, that
> > could work.  The architectures I would be worried about include
> > powerpc and ia64, which I believe support 32-bit SMP builds.
> 
> 32-bit powerpc doesn't have 64-bit atomic operations and does support
> SMP.
> 
> What about ARM?  I thought they had 32-bit SMP these days as well.

Some of Steve Hemminger's recent suggestions in this thread seem to me
to avoid this whole issue nicely.  But we will see!  ;-)

							Thanx, Paul